Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.

List business rules

Returns a list of business rules satisfying all the conditions specified in the filter parameters.

Each rule is returned as its released version. Deleted rules are not returned.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/business_rules

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
draft[<operator>]

optional, boolean filter

Filters the results by the draft state of the business rule. Pass true to return the rules that have an unreleased draft, and false, the default, to return the rules as of their released version. Supported operators : is

Example → draft[is] = "true"

Supported operators: is
Example true
active[<operator>]

optional, boolean filter

Filters the results by the active status of the business rule. Pass true to return only the rules Chargebee currently evaluates, and false to return only the rules that are switched off. When omitted, rules are returned irrespective of their active status. Supported operators : is

Example → active[is] = "true"

Supported operators: is
Example true

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Business rule object

A business rule matching the filters, returned as its released version. Unreleased changes are not included; read them with Retrieve a business rule draft.